List sandboxes
GET
https://api.vercel.com/v2/sandboxesRetrieves a paginated list of named sandboxes belonging to a specific project. Results can be sorted by creation time or name, and optionally filtered by name prefix or status.
https://api.vercel.com/v2/sandboxes
const response = await fetch('https://api.vercel.com/v2/sandboxes?project=string&limit=123&sortBy=string&namePrefix=string&cursor=string&sortOrder=string&status=string&tags=value&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "sandboxes": [ { "name": "my-sandbox", "currentSnapshotId": "example_id", "currentSessionId": "example_id", "status": "running", "statusUpdatedAt": "1750344501629", "persistent": "true", "region": "iad1", "failoverRegions": [], "vcpus": "2", "memory": "1024", "runtime": "node22", "image": "my-repo@sha256:2c4e8f9a1b3d5e7f091a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f708", "timeout": "300000", "snapshotExpiration": "604800000", "keepLastSnapshots": { "count": "5", "expiration": "604800000", "deleteEvicted": "true" }, "networkPolicy": { "mode": "allow-all", "allowedDomains": [], "allowedCIDRs": [], "deniedCIDRs": [], "s3Key": "string" }, "networkId": "example_id", "totalEgressBytes": "4096", "totalIngressBytes": "2048", "totalActiveCpuDurationMs": "5000", "totalDurationMs": "60000", "cwd": "/vercel/sandbox", "tags": "[object Object]", "mounts": "value", "createdAt": "1750344501629", "updatedAt": "1750344501629", "expiresAt": "1750344801629" } ], "pagination": { "count": "123", "next": "string" }}AuthorizationbearerToken
Default authentication mechanism
Maximum number of named sandboxes to return in the response. Used for pagination.
Filter named sandboxes whose name starts with this prefix. Only valid when sortBy=name.